> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voices



## OpenAPI

````yaml 2026-03-01/api.yml GET /voices
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /voices:
    get:
      tags:
        - Voices
      summary: List Voices
      operationId: voices_list
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: limit
          in: query
          description: The number of Voices to return per page, ranging between 1 and 100.
          required: false
          schema:
            type: integer
            nullable: true
        - name: starting_after
          in: query
          description: >-
            A cursor to use in pagination. `starting_after` is a Voice ID that
            defines your

            place in the list. For example, if you make a /voices request and
            receive 100

            objects, ending with `voice_abc123`, your subsequent call can
            include

            `starting_after=voice_abc123` to fetch the next page of the list.
          required: false
          schema:
            type: string
            nullable: true
        - name: ending_before
          in: query
          description: >-
            A cursor to use in pagination. `ending_before` is a Voice ID that
            defines your

            place in the list. For example, if you make a /voices request and
            receive 100

            objects, starting with `voice_abc123`, your subsequent call can
            include

            `ending_before=voice_abc123` to fetch the previous page of the list.
          required: false
          schema:
            type: string
            nullable: true
        - name: q
          in: query
          description: Query string to search for voices by name, description, or Voice ID.
          required: false
          schema:
            type: string
            nullable: true
        - name: is_owner
          in: query
          description: Whether to only return voices owned your organization.
          required: false
          schema:
            type: boolean
            nullable: true
        - name: gender
          in: query
          description: The gender presentation of the voices to return.
          required: false
          schema:
            $ref: '#/components/schemas/GenderPresentation'
            nullable: true
        - name: language
          in: query
          description: >-
            Filter voices by a language or language-locale pair such as `en` or
            `en-GB`. A language-locale pair returns accents for that specific
            locale; a language alone returns all accents for that language. Both
            `-` and `_` separators are accepted.
          required: false
          schema:
            type: string
            nullable: true
        - name: expand[]
          in: query
          description: Additional fields to include in the response.
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/VoiceExpandOptions'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetVoicesResponse'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        default: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    GenderPresentation:
      title: GenderPresentation
      type: string
      enum:
        - masculine
        - feminine
        - gender_neutral
    VoiceExpandOptions:
      title: VoiceExpandOptions
      type: string
      enum:
        - preview_file_url
    GetVoicesResponse:
      title: GetVoicesResponse
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Voice'
          description: The paginated list of voices.
        has_more:
          type: boolean
          description: Whether there are more voices to fetch.
        next_page:
          $ref: '#/components/schemas/VoiceId'
          nullable: true
          description: >-
            An ID that can be passed as `starting_after` or `ending_before` to
            get the next page of voices.
      required:
        - data
        - has_more
    Voice:
      title: Voice
      type: object
      properties:
        id:
          $ref: '#/components/schemas/VoiceId'
        is_owner:
          type: boolean
          description: Whether your organization owns the voice.
        access:
          type: object
          description: Who can access and list the voice
          properties:
            type:
              type: string
              enum:
                - private
                - public
              description: |-
                Who can use the voice:
                - `private`: only your organization can use the voice
                - `public`: anyone can use the voice
            visibility:
              type: string
              enum:
                - owner
                - all
              description: >-
                Who sees the voice when using the [list
                endpoint](/api-reference/voices/list):

                - `owner`: only your organization sees the voice listed

                - `all`: all users see the voice listed
          required:
            - type
            - visibility
        name:
          type: string
          description: The display name of the voice. Does not include the tagline.
        tagline:
          type: string
          description: >-
            A short descriptor for the voice (at most 32 characters). Empty
            string when unset.
          default: ''
          maximum: 32
        description:
          type: string
          description: >-
            A description for the voice, typically longer than the tagline if
            both are provided.
        gender:
          $ref: '#/components/schemas/GenderPresentation'
          nullable: true
          description: The gender of the voice, if specified.
        accent:
          allOf:
            - $ref: '#/components/schemas/VoiceAccent'
          nullable: true
          description: The accent of the voice, if specified.
        created_at:
          type: string
          format: date-time
          description: The date and time the voice was created.
        preview_file_url:
          type: string
          nullable: true
          description: >-
            A URL to download a preview audio file for this voice. Useful to
            avoid consuming credits when looking for the right voice. The URL
            requires the same Authorization header. Voice previews may be
            changed, moved, or deleted so you should avoid storing the URL
            permanently. This property will be null if there's no preview
            available. Only included when `expand[]` includes
            `preview_file_url`.
        language:
          $ref: '#/components/schemas/VoiceLanguage'
        locales:
          type: array
          description: >-
            Locales this voice can speak. The native/source locale is first
            (`is_native: true`), followed by attached cross-lingual locales.
            Locale codes are BCP-47 language-region tags (for example `en-US`,
            `es-MX`).
          items:
            type: object
            properties:
              locale:
                type: string
                pattern: ^[a-z]{2}-[A-Z]{2}$
                description: The locale's BCP-47 language-region tag (e.g. `en-US`).
              is_native:
                type: boolean
                description: Whether this is the voice's native/source locale.
            required:
              - locale
              - is_native
          example:
            - locale: en-US
              is_native: true
            - locale: es-MX
              is_native: false
        country:
          $ref: '#/components/schemas/VoiceCountry'
          nullable: true
          description: >-
            The country associated with the voice, as an ISO 3166-1 alpha-2 code
            when available.
        is_pro:
          type: boolean
          description: Whether this voice is a pro voice clone.
        fine_tunes:
          type: array
          description: >-
            Only available if this voice is a pro voice clone (PVC). Lists each
            TTS model the PVC is compatible with, along with its fine-tune ID.
          items:
            type: object
            properties:
              public_model_id:
                type: string
                description: The public model ID this fine-tune applies to.
              fine_tune_id:
                type: string
                nullable: true
                description: The ID of the fine-tune.
            required:
              - public_model_id
              - fine_tune_id
        is_public:
          type: boolean
          description: Use `access` instead. Whether the voice is publicly accessible.
          deprecated: true
        mode:
          type: string
          deprecated: true
          description: No longer used.
      required:
        - id
        - is_owner
        - access
        - name
        - tagline
        - description
        - created_at
        - language
        - locales
        - is_public
      example:
        id: db6b0ed5-d5d3-463d-ae85-518a07d3c2b4
        is_owner: false
        access:
          type: public
          visibility: all
        name: Skylar
        tagline: Friendly Guide
        description: Approachable American female ideal for customer care and support.
        gender: feminine
        language: en
        locales:
          - locale: en-US
            is_native: true
          - locale: hi-IN
            is_native: false
          - locale: es-MX
            is_native: false
          - locale: de-DE
            is_native: false
          - locale: he-IL
            is_native: false
          - locale: it-IT
            is_native: false
          - locale: pt-BR
            is_native: false
          - locale: ta-IN
            is_native: false
        country: US
        created_at: '2026-03-31T17:37:05.961874Z'
        is_public: true
    VoiceId:
      title: VoiceId
      type: string
      description: >-
        The ID of the voice. Find one in the [Voice
        Library](https://play.cartesia.ai/voices) or via [List
        Voices](/api-reference/voices/list).
    VoiceAccent:
      title: VoiceAccent
      description: >-
        Canonical accent display name for the voice. Must be valid for the
        voice's `language` (same pairing as Playground and the accents
        registry). Only available for the matching language below.
      oneOf:
        - title: Arabic
          description: Only available when language is Arabic (`ar`).
          type: string
          enum:
            - Arabic
            - Khaleeji Arabic
            - Middle Eastern Arabic
            - Modern Standard Arabic
        - title: Bengali
          description: Only available when language is Bengali (`bn`).
          type: string
          enum:
            - Jessore Bengali
        - title: Bulgarian
          description: Only available when language is Bulgarian (`bg`).
          type: string
          enum:
            - Bulgarian
        - title: Chinese
          description: Only available when language is Chinese (`zh`).
          type: string
          enum:
            - Mandarin Chinese
        - title: Croatian
          description: Only available when language is Croatian (`hr`).
          type: string
          enum:
            - Zagreb Croatian
        - title: Czech
          description: Only available when language is Czech (`cs`).
          type: string
          enum:
            - Czech
        - title: Danish
          description: Only available when language is Danish (`da`).
          type: string
          enum:
            - Danish
        - title: Dutch
          description: Only available when language is Dutch (`nl`).
          type: string
          enum:
            - Randstad Dutch
        - title: English
          description: Only available when language is English (`en`).
          type: string
          enum:
            - African American English
            - Arabic English
            - Australian English
            - British English
            - California English
            - Canadian English
            - General American English
            - Indian English
            - Irish English
            - Midwestern American English
            - New York English
            - New Zealand English
            - Singaporean English
            - South African English
            - Southern American English
        - title: Finnish
          description: Only available when language is Finnish (`fi`).
          type: string
          enum:
            - Finnish
        - title: French
          description: Only available when language is French (`fr`).
          type: string
          enum:
            - African French
            - Belgian French
            - Canadian French
            - Parisian French
        - title: Georgian
          description: Only available when language is Georgian (`ka`).
          type: string
          enum:
            - Tbilisi Georgian
        - title: German
          description: Only available when language is German (`de`).
          type: string
          enum:
            - High German
            - Swiss Standard German
        - title: Greek
          description: Only available when language is Greek (`el`).
          type: string
          enum:
            - Thessaloniki Greek
        - title: Gujarati
          description: Only available when language is Gujarati (`gu`).
          type: string
          enum:
            - Parsi Gujarati
        - title: Hebrew
          description: Only available when language is Hebrew (`he`).
          type: string
          enum:
            - Israeli Hebrew
        - title: Hindi
          description: Only available when language is Hindi (`hi`).
          type: string
          enum:
            - Hindi
            - Bagheli Hindi
        - title: Hungarian
          description: Only available when language is Hungarian (`hu`).
          type: string
          enum:
            - Budapest Hungarian
        - title: Indonesian
          description: Only available when language is Indonesian (`id`).
          type: string
          enum:
            - Jakarta Indonesian
        - title: Italian
          description: Only available when language is Italian (`it`).
          type: string
          enum:
            - Abruzzo Italian
            - Campania Italian
            - Italian
        - title: Japanese
          description: Only available when language is Japanese (`ja`).
          type: string
          enum:
            - Japanese
            - Standard Japanese
        - title: Kannada
          description: Only available when language is Kannada (`kn`).
          type: string
          enum:
            - Southern Karnataka Kannada
        - title: Korean
          description: Only available when language is Korean (`ko`).
          type: string
          enum:
            - Korean
        - title: Malay
          description: Only available when language is Malay (`ms`).
          type: string
          enum:
            - Malay
        - title: Malayalam
          description: Only available when language is Malayalam (`ml`).
          type: string
          enum:
            - North Kerala Malayalam
        - title: Marathi
          description: Only available when language is Marathi (`mr`).
          type: string
          enum:
            - Konkani
        - title: Norwegian
          description: Only available when language is Norwegian (`no`).
          type: string
          enum:
            - Oslo Norwegian
        - title: Polish
          description: Only available when language is Polish (`pl`).
          type: string
          enum:
            - Polish
        - title: Portuguese
          description: Only available when language is Portuguese (`pt`).
          type: string
          enum:
            - Brazilian Portuguese
            - European Portuguese
        - title: Punjabi
          description: Only available when language is Punjabi (`pa`).
          type: string
          enum:
            - Powadhi Punjabi
        - title: Romanian
          description: Only available when language is Romanian (`ro`).
          type: string
          enum:
            - Romanian
            - Moldovan Romanian
        - title: Russian
          description: Only available when language is Russian (`ru`).
          type: string
          enum:
            - Russian
        - title: Slovak
          description: Only available when language is Slovak (`sk`).
          type: string
          enum:
            - Slovak
        - title: Spanish
          description: Only available when language is Spanish (`es`).
          type: string
          enum:
            - Camba Spanish
            - Castilian Spanish
            - Chilean Spanish
            - Colombian Spanish
            - Mexican Spanish
            - Peruvian Spanish
        - title: Swedish
          description: Only available when language is Swedish (`sv`).
          type: string
          enum:
            - Stockholm Swedish
        - title: Tagalog
          description: Only available when language is Tagalog (`tl`).
          type: string
          enum:
            - Manila Filipino
        - title: Tamil
          description: Only available when language is Tamil (`ta`).
          type: string
          enum:
            - Central Tamil
        - title: Telugu
          description: Only available when language is Telugu (`te`).
          type: string
          enum:
            - Telangana Telugu
        - title: Thai
          description: Only available when language is Thai (`th`).
          type: string
          enum:
            - Central Thai
        - title: Turkish
          description: Only available when language is Turkish (`tr`).
          type: string
          enum:
            - Istanbul Turkish
        - title: Ukrainian
          description: Only available when language is Ukrainian (`uk`).
          type: string
          enum:
            - Kyiv Ukrainian
        - title: Vietnamese
          description: Only available when language is Vietnamese (`vi`).
          type: string
          enum:
            - Central Vietnamese
            - Southern Vietnamese
    VoiceLanguage:
      type: string
      description: The voice's language, as an ISO 639-1 code (e.g. `en`, `fr`, `zh`)
      example: en
    VoiceCountry:
      title: VoiceCountry
      type: string
      description: >-
        The country associated with the voice, as an ISO 3166-1 alpha-2 code
        when available (e.g. `US`, `GB`, `FR`).
      example: US
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).
      x-default: $CARTESIA_API_KEY

````